package main

import (
	"fmt"
	"html/template"
	"os"
)

func main() {
	tplText := `hello golang {{ block "content" . }} {{ . }} {{ end }}`
	tpl := template.Must(template.New("tpl").Parse(tplText))
	tpl.Execute(os.Stdout, "abcde")
	fmt.Println()

	// 替代block
	tpl2 := template.Must(template.New("tpl2").Parse(tplText))
	tpl2, err := tpl2.Parse(`{{ define "content" }}len {{ len . }} {{ end }}`)
	fmt.Println(err, tpl2.Name())
	tpl2.Execute(os.Stdout, "abcde")
	fmt.Println()
}
